package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * Closedcash generated by hbm2java
 */
@Entity
@Table(name="closedcash"
    ,catalog="openbravopos"
    , uniqueConstraints = @UniqueConstraint(columnNames={"HOST", "HOSTSEQUENCE"}) 
)
public class Closedcash  implements java.io.Serializable {


     private String money;
     private String host;
     private int hostsequence;
     private Date datestart;
     private Date dateend;
     private Set<Receipts> receiptses = new HashSet<Receipts>(0);

    public Closedcash() {
    }

	
    public Closedcash(String money, String host, int hostsequence, Date datestart) {
        this.money = money;
        this.host = host;
        this.hostsequence = hostsequence;
        this.datestart = datestart;
    }
    public Closedcash(String money, String host, int hostsequence, Date datestart, Date dateend, Set<Receipts> receiptses) {
       this.money = money;
       this.host = host;
       this.hostsequence = hostsequence;
       this.datestart = datestart;
       this.dateend = dateend;
       this.receiptses = receiptses;
    }
   
     @Id 

    
    @Column(name="MONEY", unique=true, nullable=false)
    public String getMoney() {
        return this.money;
    }
    
    public void setMoney(String money) {
        this.money = money;
    }

    
    @Column(name="HOST", nullable=false)
    public String getHost() {
        return this.host;
    }
    
    public void setHost(String host) {
        this.host = host;
    }

    
    @Column(name="HOSTSEQUENCE", nullable=false)
    public int getHostsequence() {
        return this.hostsequence;
    }
    
    public void setHostsequence(int hostsequence) {
        this.hostsequence = hostsequence;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="DATESTART", nullable=false, length=19)
    public Date getDatestart() {
        return this.datestart;
    }
    
    public void setDatestart(Date datestart) {
        this.datestart = datestart;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="DATEEND", length=19)
    public Date getDateend() {
        return this.dateend;
    }
    
    public void setDateend(Date dateend) {
        this.dateend = dateend;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="closedcash")
    public Set<Receipts> getReceiptses() {
        return this.receiptses;
    }
    
    public void setReceiptses(Set<Receipts> receiptses) {
        this.receiptses = receiptses;
    }




}


